TICK-006257 - ELIMINAZIONE ORDINE DI VENDITA Modifica Ticket

Assegnato a : FEDERICO CALDON
Email : i.triantafillidis@henoto.com
Team di assistenza : Assistenza Odoo I Livello
Data Creazione : 22/06/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, IOSIFINA TRIANTAFILLIDIS
Telefono : 0495801282
Data Chiusura : 05/07/2022
Categoria : Anomalia

Buongiorno,

ho necessità di eliminare il seguente preventivo SO017084/2022 ed i rispettivi task, che è stato creato come test.
Quando provo a rifiutarlo mi da il seguente errore :
Errore:
Odoo Server Error

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__
value = record.env.cache.get(record, self)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get
value = self._data[field][record.id][key]
KeyError: (<odoo.sql_db.Cursor object at 0x7f62a64e45c0>, 1)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise
raise value
File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch
result = self._call_function(**self.params)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
return f(dbname, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call
result = self.endpoint(*a, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__
return self.method(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
response = f(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 938, in call_button
action = self._call_kw(model, method, args, {})
File "/opt/odoo-addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/opt/odoo-addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw
return call_kw_multi(method, model, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi
result = method(recs, *args, **kwargs)
File "/opt/odoo-addons/base/gi_booking/models/order.py", line 136, in action_custom_cancel
res = super(Sale_Order, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_staging_template/models/sale_order.py", line 55, in action_custom_cancel
res = super(SaleOrder, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_check_confirm_sale/models/sale_order.py", line 219, in action_custom_cancel
res = super(SaleOrder, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_supply/models/sale.py", line 378, in action_custom_cancel
record.sudo().cancel_supply_tasks(stage_id)
File "<decorator-gen-425>", line 2, in cancel_supply_tasks
File "/usr/lib/python3/dist-packages/odoo/api.py", line 369, in loop
result = [method(rec, *args, **kwargs) for rec in self]
File "/usr/lib/python3/dist-packages/odoo/api.py", line 369, in <listcomp>
result = [method(rec, *args, **kwargs) for rec in self]
File "/opt/odoo-addons/base/gi_supply/models/sale.py", line 243, in cancel_supply_tasks
{'stage_id': int(stage_id), 'old_stage_id': ps}
File "/opt/odoo-addons/base/gi_booking/models/project.py", line 208, in write
result = super(ProjTask, self).write(values)
File "/opt/odoo-addons/base/gi_makigami/models/project.py", line 19, in write
ret = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/base/ie_sketchup_info_aggiuntive/models/attribute.py", line 780, in write
ret = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/base/gi_teams_management/models/project_task.py", line 261, in write
ret = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_task/models/project_project.py", line 426, in write
res = super().write(vals)
File "/opt/odoo-addons/base/gi_event_lifecycle/models/project_task.py", line 163, in write
res = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/custom/gi_supplier_followers/models/project_task.py", line 79, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_gantt_tasks/models/project_task.py", line 106, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_supply/models/project.py", line 430, in write
ret = super(Task, self).write(values)
File "/opt/odoo-addons/base/gi_company_propagation/models/project_task.py", line 22, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_catalogue/models/project.py", line 144, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_sale/models/project_project.py", line 274, in write
return super(Task, self).write(vals)
File "/opt/odoo-addons/base/gi_project/models/project_project.py", line 293, in write
return super(ProjectTask, self).write(values)
File "/usr/lib/python3/dist-packages/odoo/addons/hr_timesheet/models/project.py", line 65, in write
result = super(Task, self).write(values)
File "/opt/odoo-addons/contrib/bi_subtask/models/task.py", line 63, in write
return super(ProjectTask, self).write(vals)
File "/usr/lib/python3/dist-packages/odoo/addons/project/models/project.py", line 674, in write
result = super(Task, self).write(vals)
File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 289, in write
track_self.message_track(tracked_fields, initial_values)
File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 507, in message_track
record.message_post(subtype=subtype_xmlid, tracking_value_ids=tracking_value_ids)
File "/usr/lib/python3/dist-packages/odoo/addons/rating/models/mail_thread.py", line 14, in message_post
message = super(MailThread, self).message_post(body=body, subject=subject, message_type=message_type, subtype=subtype, parent_id=parent_id, attachments=attachments, content_subtype=content_subtype, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 1924, in message_post
self._message_post_after_hook(new_message)
File "/usr/lib/python3/dist-packages/odoo/addons/project/models/project.py", line 861, in _message_post_after_hook
if self.email_from and not self.partner_id:
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__
self.determine_value(record)
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1042, in determine_value
record._prefetch_field(self)
File "/usr/lib/python3/dist-packages/odoo/models.py", line 2646, in _prefetch_field
result = records.read([f.name for f in fs], load='_classic_write')
File "/opt/odoo-addons/base/gi_task/models/mail_thread.py", line 58, in read
return super(MailThread, self).read(fields, load)
File "/usr/lib/python3/dist-packages/odoo/models.py", line 2590, in read
self._read_from_database(stored, inherited)
File "/usr/lib/python3/dist-packages/odoo/models.py", line 2728, in _read_from_database
record._cache.update(record._convert_to_cache(vals, validate=False))
File "/usr/lib/python3.5/_collections_abc.py", line 775, in update
self[key] = other[key]
File "/usr/lib/python3/dist-packages/odoo/models.py", line 5210, in __setitem__
self._record.env.cache.set(self._record, field, value)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 966, in set
self._data[field][record.id][key] = value
File "/usr/lib/python3/dist-packages/odoo/service/server.py", line 707, in time_expired
raise Exception('CPU time limit exceeded.')
Exception: CPU time limit exceeded.

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.